GNU/Linux Administration - Bug #823

Fix Curl SSL Certificate Error Preventing Yaourt Installation
07/01/2016 10:29 PM - Daniel Curtis

Status: Closed Start date: 07/03/2016
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Workstation Estimated time: 0.50 hour
Target version: Arch Linux Spent time: 0.50 hour
Description

| recently encountered a problem while trying to install yaourt on Arch Linux. The problem caused a failure while downloading yaourt,
with an error message stating:

curl: (77) error setting certificate verify locations:
CAfile: /etc/ssl/certs/ca-certificates.crt
CApath: none
==> ERROR: Failure while downloading https://github.com/archlinuxfr/yaourt/releases/download/1.8.1
/yaourt-1.8.1l.tar.xz
Aborting...

After searching around online, | found the fix on the Arch Linux forum.

¢ Remove the incorrect ca-certificate.crt file:

sudo rm /etc/ssl/certs/ca-certificate.crt

e Manually link the ca-bundle.trust.crt to the expected location:

sudo 1ln -s /etc/ca-certificates/extracted/ca-bundle.trust.crt /etc/ssl/certs/ca-certificates.c
rt

Resources

o https://bbs.archlinux.org/viewtopic.php?id=205296

History

#1-07/01/2016 10:31 PM - Daniel Curtis
- Status changed from New to Resolved

- % Done changed from 0 to 100

#2 - 07/10/2016 10:01 AM - Daniel Curtis

- Status changed from Resolved to Closed
